Package com.google.protobuf

# Interface OptionOrBuilder

All Superinterfaces:
  `MessageLiteOrBuilder`, `MessageOrBuilder`

All Known Implementing Classes:
  `Option`, `Option.Builder`

public interface OptionOrBuilder extends MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Any`
`getValue()`
`.google.protobuf.Any value = 2 [json_name = "value"];`
`AnyOrBuilder`
`getValueOrBuilder()`
`.google.protobuf.Any value = 2 [json_name = "value"];`
`boolean`
`hasValue()`
`.google.protobuf.Any value = 2 [json_name = "value"];`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()
`string name = 1 [json_name = "name"];`

Returns:
  The name.

### getNameBytes

ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Returns:
  The bytes for name.

### hasValue

boolean hasValue()
`.google.protobuf.Any value = 2 [json_name = "value"];`

Returns:
  Whether the value field is set.

### getValue

Any getValue()
`.google.protobuf.Any value = 2 [json_name = "value"];`

Returns:
  The value.

### getValueOrBuilder

AnyOrBuilder getValueOrBuilder()
`.google.protobuf.Any value = 2 [json_name = "value"];`